.slideover-bg {
    @apply flex flex-col items-center justify-center fixed top-0 right-0 bg-brand-white h-full z-20;
    @apply transition-transform duration-1000 ease-in-out transform translate-x-full;
    width: 50vw;
}

.slideover-bg.open {
    @apply translate-x-0;
}

.slideover-menu {
    @apply flex flex-col items-center justify-between h-20;
}

.slideover-menu>a {
    @apply text-3xl text-brand-black;
}

.slideover-btn {
    @apply text-brand-black flex justify-center items-center w-20;
}

.slideover-btn>button:focus {
    @apply outline-none;
}

.overlay.home {
    @apply fixed z-10 top-0 right-0 w-full h-full bg-brand-black hidden opacity-0;
}

.overlay.home.open {
    @apply opacity-25 block;
}

@screen sm {
    .slideover-bg {
        @apply flex-col justify-start fixed;
    }
}

@screen md {
    .slideover-bg {
        @apply w-2/3 flex-row static translate-x-0;
    }

    .slideover-menu {
        @apply w-full flex-row justify-around h-auto;
    }

    .slideover-btn {
        @apply hidden w-0;
    }

    .overlay.home {
        @apply hidden w-0;
    }
}